@import url("Variables.css");
/* Contenedor general */
.contenedor {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: .5rem 2rem 0 2rem;
    .hero__content p {
        font-size: 1.3rem;
        color: var(--text-color-sataa);
        }
    }
.contenedor p, .bloque__texto {
    font-size: 1.1rem;
    line-height: 1.6;
    strong {
        color: var(--text-color-sataa);
    }
}
section .bloque {
    margin: 0 !important;
    padding: 0 !important;
}
.contenedor .hero__content h1 { 
    display: inline-block;
    font-family: KausanScript; font-size: 2rem; 
	padding-top: 0;margin-bottom: 1rem;
	/* estilo de la primera letra del título */
	&::first-letter {
		background-color:transparent;font-size:2.5rem;font-weight: bold; line-height:3px;
	}
	/* por si hace falta añadir algo tras el título */
	& small {
		font-size: 1.2rem;
	}
}
.contenedor .hero__content h1, .contenedor .bloque .bloque__texto h2 {
    color:var(--text-color-sataa) !important;
    border-bottom: 1px solid var(--text-color-sataa);
}
/* Cada bloque */
.contenedor .bloque {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
    align-items: center;
}
/* Imagen */
.contenedor .bloque__imagen img {
    width: 100%;
    border-radius: 10px;
    object-fit: cover;
}
* Texto */
.contenedor .bloque__texto {
    padding: 0 1rem;
}

/* RESPONSIVE: dos columnas a partir de 900px */
@media (min-width: 900px) {
    .contenedor .bloque {
        grid-template-columns: 1fr 1fr;
    }
    /* Alternar imagen/texto para que no sea repetitivo */
    .contenedor .bloque:nth-child(even) .bloque__imagen {
        order: 2;
    }
}